#!/bin/sh

echo
read -p "Is this a CleanMode setup? [y/n] " REPLY
[ "$REPLY" != "y" ] && exit
read -p "Is there JUST ONE .tar.gz file in this folder? [y/n] " REPLY
[ "$REPLY" != "y" ] && exit

SOURCE=$(ls *.gz 2>/dev/null)
[ -z "$SOURCE" ] && echo OpenOffice source package not found! && exit

LANGCODE=${SOURCE##*_}
LANGCODE=${LANGCODE%.tar.gz}
[ -z "$LANGCODE" ] && echo Language code not identified! && exit
SQUASH=${SOURCE%install-deb_*}${LANGCODE}.squashfs

echo Extracting ...
rm -rf /tmp/$LANGCODE
tar -zxf $SOURCE -C /tmp

dpkg -i /tmp/$LANGCODE/DEBS/*.deb  #into /opt/openoffice4

rm -rf /opt/build
mkdir -p /opt/build/opt
mv /opt/openoffice4 /opt/build/opt

rm -f $SQUASH
mksquashfs /opt/build $SQUASH

cp /tmp/$LANGCODE/DEBS/desktop-integration/*.deb .	#this is the menu setup file

rm -rf /opt/build
rm -rf /tmp/$LANGCODE
echo
echo Done!
